package lab1_decorator.ex1;

public class BreakingSystemDecorator extends CarDecorator {
    public BreakingSystemDecorator(Car car) {
        super(car);
    }

    @Override
    public double getCost() {
        return 6 + super.getCost();
    }

    @Override
    public double getSecurityLevel() {
        return 8 + super.getSecurityLevel();
    }

    @Override
    public String getDescription() {
        return super.getDescription() + ", Breaking System";
    }
}
