package lab3_abstract_factory.ex1;

import lab3_abstract_factory.ex1.house_factories.DutchHouseFactory;
import lab3_abstract_factory.ex1.house_factories.GermanHouseFactory;
import lab3_abstract_factory.ex1.house_factories.SwissWoodChaletFactory;

public class ArchitectOffice {
    public static void main(String[] args) {
        House house1 = new House("Modern German house",
                new GermanHouseFactory());
        house1.buildHouse();
        house1.calculatePrice();
        House house2 = new House("Typical dutch house",
                new DutchHouseFactory());
        house2.buildHouse();
        house2.calculatePrice();
        House house3 = new House("Swiss wood chalet",
                new SwissWoodChaletFactory());
        house3.buildHouse();
        house3.calculatePrice();

        System.out.println(house1);
        System.out.println(house2);
        System.out.println(house3);
    }
}