package lab4_command.ex1;

import lab4_command.ex1.commands.BackwardCommand;
import lab4_command.ex1.commands.ForwardCommand;
import lab4_command.ex1.commands.LeftCommand;
import lab4_command.ex1.commands.RightCommand;

public class MobilePhone {
    public static void main(String[] args) {
        Game game = new Game();

        game.bindKey(0, new ForwardCommand(game.car));
        game.bindKey(1, new BackwardCommand(game.car));
        game.bindKey(2, new LeftCommand(game.car));
        game.bindKey(3, new RightCommand(game.car));

        game.pushKey(2);
        game.pushKey(2);
        game.pushKey(3);
        game.pushKey(2);
        game.pushKey(0);
        game.pushKey(1);
        game.undo();
    }
}
