package lab4_command.ex1.commands;

import lab4_command.ex1.Car;
import lab4_command.ex1.CarCommand;

public class BackwardCommand extends CarCommand {
    public BackwardCommand(Car car) {
        super(car);
    }

    @Override
    public void execute() {
        car.backward();
    }

    @Override
    public void undo() {
        car.forward();
    }
}
