package lab5_adapter.ex1;

public class Main {
    public static void main(String[] args) {
        Engineer engineer1 = new Engineer("Jean");
        Engineer engineer2 = new Engineer("Maria");
        Machine machine1 = new NewMachine("1159190947", engineer1);
        Machine machine2 = new NewMachine("1247233941", engineer1);
        Machine machine3 = new NewMachine("258952499", engineer2);
        OldMachine oldMachine = new OldMachine("603742814");
        Machine machine4 = new MachineAdapter(oldMachine);

        machine1.setNumberOfCapsules(30);
        machine2.setNumberOfCapsules(20);
        machine3.setNumberOfCapsules(40);
        oldMachine.setNumberOfCapsules(80);
        //Machine 1159190947 is currently processing 30 capsules, supervised by engineer Engineer Jean
        //Machine 1247233941 is currently processing 20 capsules, supervised by engineer Engineer Jean
        //Machine 258952499 is currently processing 40 capsules, supervised by engineer Engineer Maria
        //Machine 603742814 is currently processing 80 capsules, supervised by engineer null

        System.out.println(machine1);
        System.out.println(machine2);
        System.out.println(machine3);
        System.out.println(machine4);
    }
}
