package lab7_state.ex1.states;

import lab7_state.ex1.Machine;
import lab7_state.ex1.MachineState;

public class IdleState extends MachineState {
    public IdleState(Machine machine) {
        super(machine);
    }

    @Override
    protected void insertCoin(double value) {
        if (value != 0.25) {
            machine.returnMoney(value);
        } else {
            System.out.println("Please choose your coffee");
            machine.setCurrentState(machine.getChoiceState());
        }
    }
}
