package lab7_state.ex2.states;

import lab7_state.ex2.User;
import lab7_state.ex2.UserState;

public class InMeetingState extends UserState {
    public InMeetingState(User user) {
        super(user);
    }

    @Override
    public void leave() {
        user.setCurrentState(user.getRegisteredState());
        log("Left meeting");
    }

    @Override
    public void ask() {
        user.setCurrentState(user.getWaitingToSpeakState());
        log("Asking to speak");
    }
}
