package lab7_state.ex2.states;

import lab7_state.ex2.User;
import lab7_state.ex2.UserState;

public class SpeakingState extends UserState {
    public SpeakingState(User user) {
        super(user);
    }

    @Override
    public void over() {
        user.setCurrentState(user.getInMeetingState());
        log("Finished speaking");
    }

    @Override
    public void leave() {
        user.setCurrentState(user.getRegisteredState());
        log("Finished speaking, left meeting");
    }
}
