package learn.simple_builder;

public abstract class Builder {
    protected Product product;

    public void setProduct(Product product) {
        this.product = product;
    }
    public Product getProduct() {
        return product;
    }

    public abstract void buildPartA();
    public abstract void buildPartB();
    public abstract void buildPartC();
}
