package learn.simple_builder;

public class Director {
    private Builder builder;
    private Product product;

    public void setBuilder(Builder builder) {
        this.builder = builder;
        product = new Product();
        this.builder.setProduct(product);
    }

    public void construct() {
        builder.buildPartA();
        builder.buildPartB();
        builder.buildPartC();
    }
}
