package learn.simple_state;

public class OffState implements State {
    private Context context;

    public OffState(Context context) {
        this.context = context;
    }

    @Override
    public void on() {
        context.setCurrentState(context.getOnState());
        System.out.println("Transition to on");
    }

    @Override
    public void off() {
        System.out.println("Already off");
    }
}
