package lab1_decorator.ex1;

public abstract class CarDecorator implements Car {
    public Car car;
    public String name;

    public CarDecorator(Car car) {
        this.car = car;
    }

    public String getDescription() {
        return car.getDescription();
    }

    @Override
    public double getCost() {
        return car.getCost();
    }

    @Override
    public double getSecurityLevel() {
        return car.getSecurityLevel();
    }
}
