package lab4_command.ex1.commands;

import lab4_command.ex1.Car;
import lab4_command.ex1.CarCommand;

public class RightCommand extends CarCommand {
    public RightCommand(Car car) {
        super(car);
    }

    @Override
    public void execute() {
        car.right();
    }

    @Override
    public void undo() {
        car.left();
    }
}
