package learn;

public class MicroLabTask1 {
    public static int countE(String[] strings) {
        int count = 0;
        for (String s : strings) {
            for (char c: s.toCharArray()) {
                if (c == 'e') {
                    count++;
                }
            }
        }
        return count;
    }

    public static <T extends Comparable<T>> int findFirstOutOfPlace(T[] arr) {
        for (int i = 0; i < arr.length - 1; i++) {
            if (arr[i+1].compareTo(arr[i]) < 0) {
                return i;
            }
        }

        return -1;
    }

    public static void main(String[] args) {
        System.out.println(countE(new String[]{"hello", "my", "dear", "friend", "and", "enemies"}));
        System.out.println(findFirstOutOfPlace(new Integer[]{0,1,2,3}));
        System.out.println(findFirstOutOfPlace(new Integer[]{0,1,3,2}));
    }
}
